# Interface IStaleListener

All Superinterfaces:
  `IObservablesListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IStaleListener extends IObservablesListener
Listener for staleness events. An observable object is stale if its state will change eventually.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`void`
`handleStale(StaleEvent staleEvent)`
Handle the event that the given observable object is now stale.

## Method Details

### handleStale

void handleStale(StaleEvent staleEvent)
Handle the event that the given observable object is now stale. The given event object must only be used locally in this method because it may be reused for other change notifications.

Parameters:
  `staleEvent` - the stale event